Bug 261582 - Default filename for renamed imports: remove the colon character.
Summary: Default filename for renamed imports: remove the colon character.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: AdvancedRename-Import (show other bugs)
Version: 1.5.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-30 00:22 UTC by Dotan Cohen
Modified: 2022-02-01 06:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2010-12-30 00:22:33 UTC
Version:           1.5.0 (using KDE 4.5.85) 
OS:                Linux

Although the colon character : is a legal filename character in ext filesystems, it is not so for NTFS / FAT filesystems. Therefore I propose that this character be removed from the Digikam default filename for imported files' rename. Currently the format is yyyy-mm-ddTHH:MM:SS-000001.JPG

The current behaviour leads to many problems when sharing photos with family and friends. Seeing how KDE in general and Digikam in particular are moving to a "social" role this barrier to interoperability is sorely out of place.

Thanks!

Reproducible: Didn't try
Comment 1 caulier.gilles 2010-12-30 08:23:06 UTC
Can you try with 1.7.0 ?

Gilles Caulier
Comment 2 Andi Clemens 2010-12-30 21:09:59 UTC
What "default" value are you referring to? This name is not a default name when importing, you must have set an option to get this kind of filename.

Which option did you use?
Comment 3 caulier.gilles 2010-12-31 14:29:27 UTC
Preview is a way to load image quickly.

For JPEG, a reduced decoded image is processed. It's a feature provided by libjpeg.

For RAW, these formats are container. RAW data, JPEG preview, metadata, etc...
In this case JPEG preview is a reduced version of RAW already processed by the camera when you shot. It's used to display image on device screen or on a tv. 

For other format, as PNG, TIFF, PGF, we load a preview JPEG image from IPTC or XMP metadata. there is a tag dedicated for that.

Gilles Caulier
Comment 4 caulier.gilles 2010-12-31 14:38:02 UTC
Oups sorry, i post to the wrong entry...

Gilles Caulier
Comment 5 Dotan Cohen 2011-01-03 22:12:57 UTC
Hi Gilles and Andi! I did set Digikam to change the filenames to the ISO date. I just installed Digikam 1.7 as Gilles requested, the relevant option is here:
Download Dialogue -> Settings -> File Renaming Options -> Customize -> Options -> Date & Time -> Format -> ISO

I'll be honest, though earlier (1.0 and before) had ISO as the "default" for a time-based rename, version 1.7 has Standard as the "default" and it is not problematic. Therefore, I will mark this bug as fixed in 1.7. Thank you!

I will mention, however, that Digikam might want to include a warning about using the ISO date format, as it is not supported under NTFS and FAT filesystems, for those users who might be tempted to share files via USB removable media, CDROM, or any transfer method to a Windows-based computer. KDE even deletes these files if one tries to move them to a FAT-formatted storage drive:
https://bugs.kde.org/show_bug.cgi?id=165365